package game

import (
	"crypto/ed25519"
)

type User struct {
	Name      string
	PublicKey ed25519.PublicKey
}

func NewUser(name string, publicKey ed25519.PublicKey) User {
	// ed25519

	return User{
		Name:      name,
		PublicKey: publicKey,
	}
}
